Bug 1007906 - Installer: Merge all strings used by installer to one location
Summary: Installer: Merge all strings used by installer to one location
Status: ASSIGNED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer   
(Show other bugs)
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: jboss-set
QA Contact: Petr Kremensky
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-13 14:27 UTC by Petr Kremensky
Modified: 2019-02-22 22:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Petr Kremensky 2013-09-13 14:27:06 UTC
Description of problem:
Currently (AFAIK) installer is using strings from $JAR/res/CustomLangpack.xml_$LANG.
For testing of installer translations I go through all CustomLangpack files and compare values with reference file (CustomLangpack.xml_eng).
But I found that some strings from $JAR/langpacks/$LANG.xml are used instead (which are some iz-pack general langpacks I guess).

GUI installer:
<str id="JDKPathPanel.info" txt="Select the JDK path:"/>
<str id="uninstaller.destroytarget" txt=" Force the deletion of "/>
<str id="uninstaller.uninstall" txt="Uninstall"/>

CONSOLE installer:
<str id="uninstaller.destroytarget" txt=" Force the deletion of "/>

Can you please use strings only from $JAR/res/CustomLangpack.xml_$LANG files so we are sure, that we don't miss any string.

There is already <str id="JDKPathPanel.info" txt="Select the JDK path:"/> in $JAR/res/CustomLangpack.xml_eng which is used by console installation.

Comment 1 Miles Tjandrawidjaja 2013-09-16 18:11:34 UTC
Confirming that custom defined strings should not be missed.
Strings from $JAR/langpacks/$LANG.xml are default strings that came with izpack.
Strings from $JAR/res/CustomLangpack.xml_$LANG are strings that we have defined.

First strings from default strings are loaded into a Map.
Afterwards our custom strings are loaded into the same Map.
This way our custom defined strings are always used and, if a string is missing then we fall back on the default strings. If the string we require is not defined by us and not defined in set of default strings then we must add them.


Note You need to log in before you can comment on or make changes to this bug.